getCloudCacheTargetVpcList

Prev Next

Available in VPC

Get the list of VPCs available in Cloud DB for Cache.

Note

Cloud DB for Cache API offers two versions based on the supported DBMS range.

  • getCloudCacheTargetVpcList API: Support for Valkey and Redis DBMS
  • getCloudRedisTargetVpcList API: Support for Redis DBMS

getCloudCacheTargetVpcList API

This section describes the request and response formats for the getCloudCacheTargetVpcList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /getCloudCacheTargetVpcList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the VPC to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheTargetVpcList
?regionCode=KR'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}' 
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See TargetVpcList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=xml (default)
    
    <getCloudCacheTargetVpcListResponse>
        <requestId>cd819e87-d0b6-42cc-bdea-a311d422e091</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>2</totalRows>
        <targetVpcList>
            <targetVpc>
                <vpcNo>39**</vpcNo>
                <vpcName>exer****</vpcName>
                <ipv4Cidr>10.2.0.0/16</ipv4Cidr>
                <regionCode>KR</regionCode>
                <createdDate>2022-02-09T18:29:04+0900</createdDate>
            </targetVpc>
            <targetVpc>
                <vpcNo>18**</vpcNo>
                <vpcName>te**</vpcName>
                <ipv4Cidr>10.3.1.0/24</ipv4Cidr>
                <regionCode>KR</regionCode>
                <createdDate>2021-01-14T23:00:32+0900</createdDate>
            </targetVpc>
        </targetVpcList>
    </getCloudCacheTargetVpcListResponse>
    

getCloudRedisTargetVpcList API

This section describes the request and response formats for the getCloudRedisTargetVpcList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vredis/v2/getCloudRedisTargetVpcList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the VPC to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisTargetVpcList
?regionCode=KR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See TargetVpcList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "getCloudRedisTargetVpcListResponse": {
            "totalRows": 2,
            "targetVpcList": [
                {
                    "vpcNo": "****73",
                    "vpcName": "exer****",
                    "ipv4Cidr": "10.0.0.0/16",
                    "regionCode": "KR",
                    "createdDate": "2024-04-24T09:54:59+0900"
                },
                {
                    "vpcNo": "****83",
                    "vpcName": "te**",
                    "ipv4Cidr": "192.168.0.0/16",
                    "regionCode": "KR",
                    "createdDate": "2021-11-24T13:08:02+0900"
                }
            ],
            "requestId": "ea022053-****-****-****-0a3a4842af11",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudRedisTargetVpcListResponse>
        <requestId>ea022053-****-****-****-0a3a4842af11</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>2</totalRows>
        <targetVpcList>
            <targetVpc>
                <vpcNo>****73</vpcNo>
                <vpcName>exer****</vpcName>
                <ipv4Cidr>10.0.0.0/16</ipv4Cidr>
                <regionCode>KR</regionCode>
                <createdDate>2024-04-24T09:54:59+0900</createdDate>
            </targetVpc>
            <targetVpc>
                <vpcNo>****83</vpcNo>
                <vpcName>te**</vpcName>
                <ipv4Cidr>192.168.0.0/16</ipv4Cidr>
                <regionCode>KR</regionCode>
                <createdDate>2021-11-24T13:08:02+0900</createdDate>
            </targetVpc>
        </targetVpcList>
    </getCloudRedisTargetVpcListResponse>